package utils

import (
	"fmt"

	v2 "gitea.timerzz.com/kedaya_haitao/common/structs/v2"
)

const (
	ProfitRate_Channel = "profit_rate"
)

func ProviderConfigNotifyChannel(providerId v2.ProviderId) string {
	return fmt.Sprintf("/provider/%s/cfg", providerId)
}

func SellerConfigNotifyChannel(sellerId v2.SellerId) string {
	return fmt.Sprintf("/seller/%s/cfg", sellerId)
}
